use crate::extension::Signature;

/// The signature for tree extensions
pub const SIGNATURE: Signature = *b"TREE";

///
pub mod verify;

mod decode;
pub use decode::decode;

mod write;

#[cfg(test)]
mod tests {

    #[test]
    fn size_of_tree() {
        let actual = std::mem::size_of::<crate::extension::Tree>();
        let expected = 88;
        #[cfg(target_pointer_width = "64")]
        let okay = actual == expected;
        #[cfg(target_pointer_width = "32")]
        let okay = actual <= expected;
        assert!(
            okay,
            "the size of this structure should not change unexpectedly: {actual} <~ {expected}"
        );
    }
}
